/* (C) Copyright,  David H. Bennett, 1992 */

/* Program : RUC - RemoteAccess User Command Line Editor
 * David Bennett / 12/13/91 / Ver 1.0
 *
 * PASCAL.C - Pascal<->C String conversion routines.
 *
 */

#include <stdlib.h>
#include <string.h>

/*
 * Convert a Pascal String to a 'C' String.
 */
char *passtr_to_c(unsigned char *st)
{
    int i;
    char tempstr[256];

    for (i=0; i<*st; i++) tempstr[i] = st[i+1];
    tempstr[i] = NULL;
	return(strcpy(st, tempstr));
}

/*
 * Convert a 'C' string to a Pascal String
 */
char *cstr_to_pas(unsigned char *st)
{
    unsigned char i, len;
    unsigned char *p;

    len = i = strlen(st);
    p = st + i;

    do {
        *(p+1) = *p;
        p--;
    } while (i--);
    *st = len;
    return(st);
}

